#!/usr/bin/python3

#on importe les modules nécessaires
import time
import os
import RPi.GPIO as GPIO

#on met RPi.GPIO en mode notation BCM (numéro des pins ; ne vous trompez pas ; voir https://fr.pinout.xyz)
GPIO.setmode(GPIO.BCM)

#on initialise le GPIO 13 en écoute (broche physique 33 mais BCM pin 13)
GPIO.setup(13, GPIO.IN, pull_up_down=GPIO.PUD_UP)

#on initialise le GPIO 24 en écoute (broche physique 18 mais BCM pin 24)
GPIO.setup(24, GPIO.IN, pull_up_down=GPIO.PUD_UP)


#on définit la fonction appelée par la pression du bouton
def reboot(channel):
     #on affiche un message de confirmation (visible si écran connecté)
     print("Appui détecté sur le GPIO 13 = redémarrage demandée")
     #on reinitialise les GPIO
     GPIO.cleanup()
     #on lance la commande d'extinction
     os.system('sudo reboot')

#on définit la fonction appelée par la pression du bouton
def extinction(channel):
     #on affiche un message de confirmation (visible si écran connecté)
     print("Appui détecté sur le GPIO 24 = extinction demandée")
     #on reinitialise les GPIO
     GPIO.cleanup()
     #on lance la commande d'extinction
     os.system('sudo poweroff')


#on met les boutons en écoute
GPIO.add_event_detect(13, GPIO.FALLING, callback=reboot)
GPIO.add_event_detect(24, GPIO.FALLING, callback=extinction)

#on lance une boucle infinie, pour garder le script actif
while 1:
     #Avec une légère pause entre chaque boucle dans le but de réduire la charge CPU
     time.sleep(0.02)

#on réinitialise les ports GPIO en sortie de script
GPIO.cleanup()
